;+=----------------------------------------------------------------------------
; Name   : color_getrgb
; RCS    : $Id: color_getrgb.pro,v 2.0 2004/08/05 17:54:46 olivert Exp olivert $
; Type   : Function
; Args   : char[] colorname : one of the 16 standard VGA color names
; Ret    : int[3] rgb       : the rgb values of the colorname [0,0,0], if
;          .                  the colorname is not known.
; Desc   : see color_init for color settings
; Author : (c) Oliver Thilmann, oliver.thilmann@web.de, Dec.2002
; Licns  : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------
function color_getrgb, colname
	red = [0,255,255,0,0,128,0,128,255,0,128,255,0,0,196,128]
	gre = [0,255,0,128,0,0,255,128,255,0,0,0,128,255,196,128]
	blu = [0,255,0,0,255,0,0,0,0,128,128,255,128,255,196,128]
	idx = color_getidx( colname )
	rgb = [red[idx],gre[idx],blu[idx]]
	return, rgb
end
