;+=----------------------------------------------------------------------------
; Name  : mrRoiPoly
; RCS   : $Id: mrroipoly__define.pro,v 2.0 2004/08/05 18:13:43 olivert Exp olivert $
; Desc  : A polygon roi
; Author: (c) Oliver Thilmann, oliver.thilmann@web.de, Jan 2003
; Licns : This program is published under the GPL. See gpl.txt for details
;=-----------------------------------------------------------------------------


;==============================================================================
;
;                          CONSTRUCTORS AND DESTRUCTORS
;
;==============================================================================


;+=----------------------------------------------------------------------------
; Name  : mrRoiPoly::init
; Type  : Function
; Args  : int x  : starting point in x
;         int y  : starting point in y
;         EXTRA  : see mrRoi::init
; Ret   : true or false
;=-----------------------------------------------------------------------------
function mrRoiPoly::init, x, y, _EXTRA=e
 	if (self->mrRoi::Init(x, y, _EXTRA=e) ne 1) then return, 0
	return, 1
end


;+=----------------------------------------------------------------------------
; Name  : mrRoiPoly__define
; Type  : Private Procedure (constructor)
;=-----------------------------------------------------------------------------
pro mrRoiPoly__define
	obj = { MRROIPOLY				,$
		        inherits MRROI       $
		}
end
